---
title: "List OAuth connections"
description: "Lists active OAuth/password-grant connections for the current workspace. Sensitive encrypted fields are never returned."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`GET /api/oauth/connections`

Lists active OAuth/password-grant connections for the current workspace. Sensitive encrypted fields are never returned.

## Authentication

Requires one of the following:

- `BearerAuth`, http, header `Authorization`, format `JWT`
- `ApiKeyAuth`, apiKey, in header, header `X-API-Key`, format `API_KEY`

## Query parameters

- `provider` (`get/api/oauth/connections.query.provider`; string, optional)
  - one of `"servicetitan"`, `"leadperfection"`, `"hubspot"`, `"salesforce"`

## Header parameters

- `x-workspace-id` (`get/api/oauth/connections.header.x-workspace-id`; string, required)

## Code samples

### cURL

```bash
curl --request GET \
  --url https://api.channelautomation.com/api/oauth/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'x-workspace-id: string'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/oauth/connections';
const options = {
  method: 'GET',
  headers: {'x-workspace-id': 'string', Authorization: 'Bearer <token>'}
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/oauth/connections"

headers = {
    "x-workspace-id": "string",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Connections returned.

### 400

Workspace ID is required.

### 500

Internal server error

#### Example

```json
{
  "error": "Internal server error",
  "details": "string",
  "success": false
}
```

- `error` (`get/api/oauth/connections.response.500.error`; string, optional)
  - example `"Internal server error"`
- `details` (`get/api/oauth/connections.response.500.details`; string, optional)
- `success` (`get/api/oauth/connections.response.500.success`; boolean, optional)
  - example `false`


Source: https://developer.channelautomations.com/api/get-api-oauth-connections/index.md
